package cn.lige2333.ligeai.chatgpt.service;

import cn.hutool.http.HttpRequest;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Description;
import org.springframework.stereotype.Component;

import java.util.function.Function;

@Component
public class GptFunctions {
    public record JenkinsBuildRequest(String projectName){}

    @Bean
    @Description("Jenkins构建")
    public Function<JenkinsBuildRequest, String> jenkinsBuild(){
        return jenkinsBuildRequest -> {
            try {
                String url = "http://jenkins.url"+jenkinsBuildRequest.projectName();
                String body = HttpRequest.get(url)
                        .timeout(10000)
                        .execute().body();
                return "成功";
            }catch (Exception e){
                return "失败";
            }
        };
    }
}
